Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.portlet
Interface ExportedPortlet

All Superinterfaces
  Serializable

    public interface ExportedPortlet

extends Serializable

Contains information for a single exported portlet.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`boolean` | `equivalent(ExportedPortlet other)` Determines if the supplied ExportedPortlet object is equivalent to this one- the same as equals() but ignoring portlet handle if not a producer offered portlet.
`byte[]` | `getExportData()` Gets the exported portlet binary data.
`String` | `getPortletHandle()` Gets the portlet handle for the portlet when it was exported.
`boolean` | `isProducerOfferedPortlet()` Determines if the portlet was a producer-offered portlet (POP) when it was exported.

Method Detail

### getExportData

    byte[] getExportData()

  Gets the exported portlet binary data.

### getPortletHandle

    String getPortletHandle()

  Gets the portlet handle for the portlet when it was exported.

### isProducerOfferedPortlet

    boolean isProducerOfferedPortlet()

  Determines if the portlet was a producer-offered portlet (POP) when it was exported.

### equivalent

    boolean equivalent(ExportedPortlet other)

  Determines if the supplied ExportedPortlet object is equivalent to this one- the same as equals() but ignoring portlet handle if not a producer offered portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved